Bug 21140 - tar-1.13.18-1 doesn't recognize bz2 archives
Summary: tar-1.13.18-1 doesn't recognize bz2 archives
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tar   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-20 20:01 UTC by Trond Eivind Glomsrxd
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-20 20:01:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Trond Eivind Glomsrxd 2000-11-20 20:01:15 UTC
When trying to uncompress archives, this happens a lot with 1.13.18-1
(this is an example with the gdb source archive shipped with Red Hat Linux 7):



[teg@halden src]$ tar Ixf /usr/src/redhat/SOURCES/gdb-20000725.tar.bz2
tar: This does not look like a tar archive
tar: Skipping to next header
tar: 40 garbage bytes ignored at end of archive
tar: Error exit delayed from previous errors
[teg@halden src]$ rpm -q tar
tar-1.13.18-1
[teg@halden src]$ rpm -q tar
tar-1.13.17-8
[teg@halden src]$ tar Ixf /usr/src/redhat/SOURCES/gdb-20000725.tar.bz2
[teg@halden src]$

Comment 1 Bernhard Rosenkraenzer 2000-11-21 10:23:06 UTC
They've changed the bzip2 option, it's now "j" rather than "I" for compatibility with Slowlaris.
I've mentioned this on the develdept list when I instrooted the new tar.


Note You need to log in before you can comment on or make changes to this bug.